Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-51164

JIRA plugin doesn't honor proxy excludes

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Fixed
    • jira-plugin
    • Jenkins 2.107.2
      Jira-Plugin 2.5.2
      Proxy required for internet access
      No proxy required for Jira access

    Description

      Sine updating the JIRA plugin to 2.5.2, Jenkins tries to use the configured proxy to contact our JIRA instance. Downgrading to 2.5 seems to fix the problem for me... Proxy exceptions are configured for the internal network.

      Attachments

        Issue Links

          Activity

            olamy can you take a look if you see the same behaviour on your end?

            warden Radek Antoniuk added a comment - olamy can you take a look if you see the same behaviour on your end?
            escoem Emilio Escobar added a comment - warden olamy https://github.com/jenkinsci/jira-plugin/pull/154
            olamy Olivier Lamy added a comment -

            escoem pr merged. Thanks a lot for you pull request!!
            ben_c what do you mean with "JIRA Integration for Blue Ocean" plugin version 1.6.0 (released June 19th) now requires jira-plugin 3.0.0+ and where did you get this information?

            olamy Olivier Lamy added a comment - escoem pr merged. Thanks a lot for you pull request!! ben_c what do you mean with "JIRA Integration for Blue Ocean" plugin version 1.6.0 (released June 19th) now requires jira-plugin 3.0.0+ and where did you get this information?

            The above image is from the admin messages dashboard that Jenkins displays (normally when there's a version update available). "Jira Integration for Blue Ocean" plugin is one of the component plugins that makes up the Jenkins "Blue Ocean" plugin collection. With the Jira plugin being < 3.0.0, this message is displayed and Blue Ocean will fail to load.

            ben_c Benjamin Coover added a comment - The above image is from the admin messages dashboard that Jenkins displays (normally when there's a version update available). "Jira Integration for Blue Ocean" plugin is one of the component plugins that makes up the Jenkins "Blue Ocean" plugin collection. With the Jira plugin being < 3.0.0, this message is displayed and Blue Ocean will fail to load.
            dastra Dan Straw added a comment -

            olamy - what's the ETA for the Jira plugin 3.0.1 build please?  It would be great to be able to upgrade the plugin past 2.5.1, as there are a load of other plugins which now require the Jira plugin 3.0+

            dastra Dan Straw added a comment - olamy - what's the ETA for the Jira plugin 3.0.1 build please?  It would be great to be able to upgrade the plugin past 2.5.1, as there are a load of other plugins which now require the Jira plugin 3.0+

            People

              olamy Olivier Lamy
              tgr Tobias Gruetzmacher
              Votes:
              3 Vote for this issue
              Watchers:
              10 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: